package tcbnet.control;

import javax.swing.tree.TreeNode;
import tcbnet.corba.Header;

/**
 * Interface para clases de filtro.
 *
 * @author $Author: fabipiesigilli $
 * @version $Revision: 1.17 $
 */

public interface Filter extends java.lang.Cloneable
{
    /**
     * Dado um header, decide se ele passa no filtro ou nao.
     *
     * @param h header a ser avaliado
     * @return se o arquivo representado pelo cabecalho passa pelo filtro
     */
    public boolean passFilter(Header h);

    Object clone()
	throws CloneNotSupportedException;

}


