package tcbnet.control;

import tcbnet.corba.Header;
import java.util.ArrayList;
import javax.swing.tree.DefaultMutableTreeNode;

/**
 * Classe abstrata que implementa metodos para lidar com Grupos de filtro.
 *
 * @author $Author: fabipiesigilli $
 * @version $Revision: 1.12 $
 */

import java.util.Enumeration;

public class FilterGroup
    extends DefaultMutableTreeNode
    implements Filter
{

    /**
     * Dado um header, decide se ele passa no filtro ou nao.
     *
     * @param h header a ser avaliado
     * @return se o arquivo representado pelo cabecalho passa pelo filtro
     */
    public boolean passFilter(Header h) { return true; }

    public Object clone() {
	Object copy = null;
	copy = super.clone();
	Enumeration i = this.children();
	DefaultMutableTreeNode f;
	while (i.hasMoreElements()) {
	    f = (DefaultMutableTreeNode) i.nextElement();
	    ((FilterGroup)copy).add ((DefaultMutableTreeNode)f.clone());
	}
	return copy;

    }

}

