package tcbnet.control;

import java.io.*;

/**
 * Metodos uteis de identificacao.
 *
 * @author $Author: dseki $
 * @version $Revision: 1.2 $
 */

public class Identification
{
    private static String NODEID_FILENAME = "node.ior";

    /**
     * Gera um arquivo de identificacao do no'. Esse arquivo nada mais eh do
     * que um arquivo de texto contendo o IOR do Node.
     *
     * @param nodeIor IOR de um node
     * @throws IOException se ocorrer um erro de entrada e saida
     */
    public static void generateNodeID(String nodeIor)
	throws IOException
    {
	FileWriter fw = new FileWriter(NODEID_FILENAME);
	fw.write(nodeIor);
	fw.close();
    }
}
