package tcbnet.io;

import java.io.IOException;
import java.io.FileNotFoundException;
import tcbnet.corba.*;

/**
 * <p>Title: TCBnet</p>
 * <p>Description: p2p content push</p>
 * <p>Copyright: TCB inc Copyright (c) 2002</p>
 * <p>Company: TCB inc</p>
 * @author $Author: fernandopeinado $
 * @version $Revision: 1.5 $
 */

public interface FileHeader extends java.io.Serializable {
    /**
     * Constroi um Header com as informaes bsicas do arquivo dado
     *
     * @param filename o nome do arquivo
     * @param desc a descrio do arquivo
     * @return Header com as informaes bsicas
     * @exception FileNotFoundException caso o arquivo no exista
     * @exception IOException caso ocorra algum erro de IO
     */
    public Header getHeaderFromFile(String filename, String desc)
	throws FileNotFoundException, IOException;
}
