package tcbnet.io;

import java.io.IOException;

/**
 * <p>Title: TCBnet</p>
 * <p>Description: p2p content push</p>
 * <p>Copyright: TCB inc Copyright (c) 2002</p>
 * <p>Company: TCB inc</p>
 * @author $Author: fernandopeinado $
 * @version $Revision: 1.3 $
 */

public interface Reader {
  /**
   * Define o tamanho mximo do buffer a ser lido
   * @param size o tamanho do buffer em bytes
   */
  public void setBufferSize(int size);

  /**
   * Carrega e retorna um buffer com um segmento do arquivo
   * @return byte[] contendo o buffer lido, ou null caso no haja mais
   *         nada para ser lido
   * @throws IOException
   */
  public byte[] readBuffer() throws IOException;
}