package tcbnet.test;

import tcbnet.corba.*;
import tcbnet.control.*;
import java.io.*;
/**
 * <p>Title: TCBnet</p>
 * <p>Description: p2p content push</p>
 * <p>Copyright: TCB inc Copyright (c) 2002</p>
 * <p>Company: TCB inc</p>
 * @author $Author: fernandopeinado $
 * @version $Revision: 1.5 $
 */

public class Teste4 {

  public Teste4() {
  }

  public static void main (String[] args) throws Exception {
    Configuration cfg = Configuration.load();

    String downloadDir = "";
    if (args.length >= 1) {
      downloadDir = args[0];
    }

    TcbnetOrb.getInstance();
    cfg.setTreecastDefaultDirectory(downloadDir);

    NodeImpl n1 = new NodeImpl(cfg);
    Node nn1 = TcbnetOrb.getInstance().getNode(n1);
    Node nn2 = null;

    boolean acabou = false;
    while (!acabou) {
      System.out.print(">");
      BufferedReader b = new BufferedReader(new InputStreamReader(System.in));
      StreamTokenizer st = new StreamTokenizer(b);

      st.nextToken();

      String line = st.sval;

      if (line.equals("add")) {
        st.nextToken();
        if (st.ttype == st.TT_WORD) {
          line = st.sval;
        } else {
          line = "" + st.nval;
        }
        System.out.println("criando um no com o arquivo de IOR: " + line);
        String ior = new BufferedReader(new FileReader(line)).readLine();
        System.out.println(ior);
        nn2 = TcbnetOrb.getInstance().getNode(ior);
        if (nn2 != null) {
          System.out.println("anunciando");
          n1.tryConnect (nn2);
        }
      }
      else if (line.equals("ior")) {
        System.out.println(n1.getIor());
      }
      else if (line.equals("send")) {
        st.nextToken();
        if (st.ttype == st.TT_WORD) {
          line = st.sval;
        } else {
          line = "" + st.nval;
        }
        Object[] obj = n1.prepareFile(line, "null");
        n1.pushHeader((Header)obj[0], (String)obj[1]);
      }
    }
  }
}
