package tcbnet.control;

import javax.swing.tree.DefaultMutableTreeNode;
import tcbnet.corba.Header;

/**
 * Interface para classes de filtro independentes de filtros filhos. (Nao
 * possuem filtros filhos)
 *
 * @author $Author: fabipiesigilli $
 * @version $Revision: 1.8 $
 */

public class FilterNode
    extends DefaultMutableTreeNode
    implements Filter
{


    public FilterNode () {
	super();
	setAllowsChildren(false);
    }


    /**
     * Dado um header, decide se ele passa no filtro ou nao.
     *
     * @param h header a ser avaliado
     * @return se o arquivo representado pelo cabecalho passa pelo filtro
     */
    public boolean passFilter(Header header) { return false; }

    public Object clone() {
	Object o = null;
        o = super.clone();
        return o;
    }

}
