package tcbnet.gui;

import tcbnet.control.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.TreeSelectionListener;
import javax.swing.event.TreeSelectionEvent;

public class TreePanel  extends Panel {

    static int i = 0;
    DefaultMutableTreeNode root, child, chosen;
    JTree tree;
    DefaultTreeModel model;
    private FiltersWindow fw;

    JTree getTree() {
	return tree;
    }

    public TreePanel(FiltersWindow fw, FilterRoot root) {
	this.fw = fw;
        setLayout(new BorderLayout());
        tree = new JTree(root);

        // Add it and make it take care of scrolling:
        add(new JScrollPane(tree), 
	    BorderLayout.CENTER);
        // Capture the tree's model:
        model =(DefaultTreeModel)tree.getModel();

        tree.getSelectionModel().setSelectionMode
	    (TreeSelectionModel.SINGLE_TREE_SELECTION);

        //Listen for when the selection changes.
        tree.addTreeSelectionListener(new TreeSelectionListener() {
		public void valueChanged(TreeSelectionEvent e) {
		    newSelectedNode();
		}
	    });

    }
    void newSelectedNode () {
	
	DefaultMutableTreeNode node = (DefaultMutableTreeNode)
	    tree.getLastSelectedPathComponent();
                
	if (node == null) return;

	//FAZ O CARDLAYOUT MOSTRAR O RESPECTIVO PANEL
	if (node instanceof FilterText) {
	    fw.show(FiltersWindow.TEXTPANEL, node.toString());
	    // NO PODE POR FILHOS EM NS QUE NO 
	    // SO AND OU OR OU NOT!!!
	    // QUANDO SELECIONAR UM DESSES NS, 
	    // DESATIVAR ADD
	    fw.setAdd (false);
	}
	else if (node instanceof FilterFilesize) {
	    fw.show(FiltersWindow.FILESIZEPANEL, ((FilterFilesize) node).getMinSize(), ((FilterFilesize) node).getMaxSize());
	    fw.setAdd (false);
	}
	else {
	    fw.show(FiltersWindow.EMPTYPANEL, "");
	    fw.setAdd(true);
	    if (node instanceof FilterConnector)
	      if (node.getChildCount() > 0) 
		 fw.setAdd(false);

	}



    }
} 
